package com.ejie.m62fb.model.tipos;

public class TipoVinculacion extends AbstractTipoGenericoP28 {

	private static final long serialVersionUID = 1L;

	public static final String LIBRE = "L";
	public static final String VINCULADO = "V";

	/**
	 * Valor que hace referencia al campo de BBDD
	 * 
	 * NUM_REGISTRO
	 */
	public static final long NUM_REGISTRO = P28Tipos.TIPO_VINCULACION;

	/**
	 * Method 'TipoVinculacion'.
	 */
	public TipoVinculacion() {
		super(TipoVinculacion.NUM_REGISTRO);
	}

	/**
	 * Method 'TipoVinculacion'.
	 * 
	 * @param codTabla
	 *            String
	 */
	public TipoVinculacion(String codTabla) {
		super(TipoVinculacion.NUM_REGISTRO, codTabla);
	}

	/**
	 * Method 'TipoVinculacion'.
	 * 
	 * @param codTabla
	 *            String
	 * @param descripcionEs
	 *            String
	 * @param descripcionEu
	 *            String
	 */
	public TipoVinculacion(String codTabla, String descripcionEs,
			String descripcionEu) {
		super(TipoVinculacion.NUM_REGISTRO, codTabla, descripcionEs,
				descripcionEu);
	}
}